package cn.com.ctop.kuaishou.modules.ai.enums;

/**
 * @author syh
 */
public enum KuaishouCreativeCreateTypeEnum {
    /**
     * 快手创意创建方式
     */
    KUAISHOU_CREATIVE_CREATETYPE_ENUM_PROGRAM(1,"程序化"),
    KUAISHOU_CREATIVE_CREATETYPE_ENUM_UNLIMITED(2,"不限"),
    KUAISHOU_CREATIVE_CREATETYPE_ENUM_CUSTOM(0,"自定义");

    /**
     * 类型
     */
    private Integer type;
    /**
     * 名称
     */
    private String value;

    KuaishouCreativeCreateTypeEnum(Integer type, String value) {
        this.type = type;
        this.value = value;
    }

    public static String getNameByType(Integer type) {
        for (KuaishouCreativeCreateTypeEnum createTypeEnum : KuaishouCreativeCreateTypeEnum.values()) {
            if (createTypeEnum.getType().equals(type)) {
                return createTypeEnum.getValue();
            }
        }
        return "";
    }


    public Integer getType() {
        return type;
    }

    public String getValue() {
        return value;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
